> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a packing slip



## OpenAPI

````yaml /openapi.json get /api/v1/Orders/PackingSlip
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Orders/PackingSlip:
    get:
      tags:
        - Orders
      summary: Gets a packing slip
      parameters:
        - name: packingSlipId
          in: query
          required: true
          schema:
            minLength: 2
            type: string
      responses:
        '200':
          description: Returns the list of packing Slips
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackingSlipTemplateServiceResult'
components:
  schemas:
    PackingSlipTemplateServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/PackingSlipTemplate'
      additionalProperties: false
      description: Generic container for all service responses
    PackingSlipTemplate:
      type: object
      properties:
        packingSlipId:
          type: integer
          description: The ID of the packing slip in the system
          format: int32
          nullable: true
        packingSlipName:
          type: string
          description: The name of the packing slip
          nullable: true
        orderingCode:
          type: string
          description: The ordering code of the packing slip
          nullable: true
        orderingName:
          type: string
          description: The ordering name of the packing slip
          nullable: true
        layoutCode:
          type: string
          description: Eg 'IMAGE_4X4_TOPLEFT'
          nullable: true
        layoutName:
          type: string
          description: The name of the layout
          nullable: true
        useBrandLogo:
          type: boolean
          description: If a Branding Logo is provided
        imageData:
          type: string
          description: The BASE64 PNG or JPG image data for the branding logo
          format: byte
          nullable: true
        marketingMessage:
          type: string
          description: The marketing message to display
          nullable: true
        creationDate:
          type: string
          description: Creation Date
          format: date-time
          nullable: true
        createdBy:
          type: string
          description: Creator
          nullable: true
        lastUpdateDate:
          type: string
          description: Updated Date
          format: date-time
          nullable: true
        lastUpdatedBy:
          type: string
          description: Updater
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````